HierarchyEntityControllerAddLevel Method |
POST /HierarchyEntity/Level/
Adds a level to the hierarchy.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Level")]
public IActionResult AddLevel(
Guid id,
[FromBodyAttribute] AddHierarchyLevelOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Level")>
Public Function AddLevel (
id As Guid,
<FromBodyAttribute> options As AddHierarchyLevelOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Level")]
IActionResult^ AddLevel(
Guid id,
[FromBodyAttribute] AddHierarchyLevelOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Level")>]
member AddLevel :
id : Guid *
[<FromBodyAttribute>] options : AddHierarchyLevelOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
ID of the entity. - options
- Type: Dundas.BI.WebApi.ModelsAddHierarchyLevelOptions
The options to use when adding the level. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
HierarchyEntityData object containing the updated hierarchy, or a status code indicating the problem.
See Also